Bug 450983 - "Photoshop signature verification failed!" in a simple PSD file created on master
Summary: "Photoshop signature verification failed!" in a simple PSD file created on ma...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: git master (please specify the git hash!)
Platform: Mint (Ubuntu based) Linux
: NOR normal
Target Milestone: ---
Assignee: amyspark
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-28 23:40 UTC by Tiar
Modified: 2022-03-07 13:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test .kra file (1.62 MB, application/x-krita)
2022-02-28 23:40 UTC, Tiar
Details
Resulting psd file that shows this problem (1.12 MB, image/vnd.adobe.photoshop)
2022-02-28 23:40 UTC, Tiar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tiar 2022-02-28 23:40:16 UTC
Created attachment 147202 [details]
Test .kra file

SUMMARY
The PSD file created from the .kra test file, when `krita.file` logging is enabled, shows concerning lines:
krita.file: Photoshop signature verification failed! Got:  "00010020" ( "" )

I don't know if this is serious or not, but I've heard about some people claiming that Krita's PSD created in version 5.0.0 and later are not readable somewhere, so maybe that's the issue. I thought it's better to file a bug than not do that. (I've found this by accident).

STEPS TO REPRODUCE
1. Open the .kra file in Krita.
2. Create a .psd file.
3. Open Krita again with "krita.file" enabled (or Log Viewer with "File loading and saving", I guess)

OBSERVED RESULT
Concerning log line:
krita.file: Photoshop signature verification failed! Got:  "00010020" ( "" )

EXPECTED RESULT
No concerning log lines.

SOFTWARE/OS VERSIONS
Krita

 Version: 5.1.0-prealpha (git 65ea446)
 Languages: en_US, en, en_US, en, en_US, en, pl_PL, pl, pl_PL, pl
 Hidpi: true

Qt

  Version (compiled): 5.11.1
  Version (loaded): 5.11.1

OS Information

  Build ABI: x86_64-little_endian-lp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: linux
  Kernel Version: 5.3.7-050307-generic
  Pretty Productname: Linux Mint 19.3
  Product Type: linuxmint
  Product Version: 19.3
  Desktop: X-Cinnamon
Comment 1 Tiar 2022-02-28 23:40:49 UTC
Created attachment 147203 [details]
Resulting psd file that shows this problem
Comment 2 Bug Janitor Service 2022-03-03 20:21:06 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1356
Comment 3 amyspark 2022-03-07 13:47:52 UTC
Git commit fb08feef38f1f99ec52416b29d56c40795b15659 by L. E. Segovia.
Committed on 07/03/2022 at 13:47.
Pushed by lsegovia into branch 'master'.

PSD: don't attempt to read zero-sized blocks

M  +3    -0    libs/psd/psd_additional_layer_info_block.cpp

https://invent.kde.org/graphics/krita/commit/fb08feef38f1f99ec52416b29d56c40795b15659
Comment 4 amyspark 2022-03-07 13:53:28 UTC
Git commit 28156f5b09af4d3236c561a9924ecf90630d62ef by L. E. Segovia.
Committed on 07/03/2022 at 13:52.
Pushed by lsegovia into branch 'krita/5.0'.

PSD: don't attempt to read zero-sized blocks
(cherry picked from commit fb08feef38f1f99ec52416b29d56c40795b15659)

M  +3    -0    plugins/impex/psd/psd_additional_layer_info_block.cpp

https://invent.kde.org/graphics/krita/commit/28156f5b09af4d3236c561a9924ecf90630d62ef